# Variable RxapValidators`Const`

RxapValidators: {
IsArray: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsBoolean: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsComplex: ((__namedParameters) => ((control) => null | ValidationErrors));
IsDate: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsEmail: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsEnum: ((__namedParameters) => ((control) => null | ValidationErrors));
IsIP: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsInt: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsNumber: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsObject: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsPhoneNumber: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsPort: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsString: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsUUID: ((__namedParameters?) => ((control) => null | ValidationErrors));
IsUrl: ((__namedParameters?) => ((control) => null | ValidationErrors));
} = ...

#### Type declaration

- ##### IsArray: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        } = {}

        - ##### `Optional` message?: string

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsBoolean: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        } = {}

        - ##### `Optional` message?: string

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsComplex: ((__namedParameters) => ((control) => null | ValidationErrors))

  - - (__namedParameters): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        options: ComplexityOptions;
        }

        - ##### `Optional` message?: string

        - ##### options: ComplexityOptions

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsDate: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        } = {}

        - ##### `Optional` message?: string

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsEmail: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        options?: IsEmailOptions;
        } = {}

        - ##### `Optional` message?: string

        - ##### `Optional` options?: IsEmailOptions

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsEnum: ((__namedParameters) => ((control) => null | ValidationErrors))

  - - (__namedParameters): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        entity: any;
        message?: string;
        }

        - ##### entity: any

        - ##### `Optional` message?: string

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsIP: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        version?: string | number;
        } = {}

        - ##### `Optional` message?: string

        - ##### `Optional` version?: string | number

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsInt: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        options?: IsNumberOptions;
        } = {}

        - ##### `Optional` message?: string

        - ##### `Optional` options?: IsNumberOptions

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsNumber: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        options?: IsNumberOptions;
        } = {}

        - ##### `Optional` message?: string

        - ##### `Optional` options?: IsNumberOptions

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsObject: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        } = {}

        - ##### `Optional` message?: string

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsPhoneNumber: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        locale?: "any" | MobilePhoneLocale | MobilePhoneLocale[];
        message?: string;
        options?: IsMobilePhoneOptions;
        } = {}

        - ##### `Optional` locale?: "any" | MobilePhoneLocale | MobilePhoneLocale[]

        - ##### `Optional` message?: string

        - ##### `Optional` options?: IsMobilePhoneOptions

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsPort: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        } = {}

        - ##### `Optional` message?: string

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsString: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        } = {}

        - ##### `Optional` message?: string

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsUUID: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        version?: string;
        } = {}

        - ##### `Optional` message?: string

        - ##### `Optional` version?: string

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- ##### IsUrl: ((__namedParameters?) => ((control) => null | ValidationErrors))

  - - (__namedParameters?): ((control) => null | ValidationErrors)

    - #### Parameters

      - __namedParameters: {
        message?: string;
        options?: IsURLOptions;
        } = {}

        - ##### `Optional` message?: string

        - ##### `Optional` options?: IsURLOptions

      #### Returns ((control) => null | ValidationErrors)

      - - (control): null | ValidationErrors

        - #### Parameters

          - control: AbstractControl<any, any>

          #### Returns null | ValidationErrors

- Defined in packages/angular/forms/src/lib/validators/index.ts:17